vn.py量化社区
By Traders, For Traders.
Member
avatar
加入于:
帖子: 22
声望: 0

D:\ProgramData\Anaconda2\python.exe E:/ProgramTrading_shengchan/vnpy-1.9.2/vnpy-1.9.2/examples/VnTrader/run.py
D:\ProgramData\Anaconda2\lib\site-packages\qtpy__init.py:211: RuntimeWarning: Selected binding "pyqt5" could not be found, using "pyqt" 'using "{}"'.format(initial_api, API), RuntimeWarning)
E:\ProgramTrading_shengchan\vnpy-1.9.2\vnpy-1.9.2\vnpy\api\ib\
init.py:4: RuntimeWarning: to-Python converter for class std::vector<class ibapi::shared_ptr<class OrderCondition>,class std::allocator<class ibapi::shared_ptr<class OrderCondition> > > already registered; second conversion method ignored.
from .vnib import *
D:\ProgramData\Anaconda2\lib\site-packages\qdarkstyle\
init__.py:214: FutureWarning: load_stylesheet() will not receive pyside parameter in version 3. Set QtPy environment variable to specify the Qt binding insteady.
FutureWarning

这个警告求解决办法?

Administrator
avatar
加入于:
帖子: 2976
声望: 133

这里主要因为PyQt安装时环境变量配置的问题,2.0中已经改为直接使用PyQt5的版本,不再有这个问题

© 2015-2019 上海韦纳软件科技有限公司
备案服务号:沪ICP备18006526号-3